using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record DeterministicHashCode(int? Height,
                                    int? Id,
                                    int? Width)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, DeterministicHashCodeSourceGenerationContext.Default.DeterministicHashCode);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(DeterministicHashCode))]
public partial class DeterministicHashCodeSourceGenerationContext : JsonSerializerContext
{
}