using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MetadataConfiguration(ResultConfiguration ResultConfiguration,
                                    bool ForceMetadataLastWriteTimeToCreationTime,
                                    string[] IgnoreRulesKeyWords,
                                    int IntMinValueLength,
                                    int Offset,
                                    bool PropertiesChangedForMetadata)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MetadataConfigurationSourceGenerationContext.Default.MetadataConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MetadataConfiguration))]
internal partial class MetadataConfigurationSourceGenerationContext : JsonSerializerContext
{
}